#include <stdio.h>
#include <libnd.h>

#define PACKET_SIZE_LIMIT         100

gboolean
filter_length(LND_Filter *filter, LND_Packet *packet, void *filter_data)
{
  return (packet->ph.len <= 100) ? TRUE : FALSE;
}

int
main(int argn, char **argv)
{
  LND_Trace          *trace;
  LND_PacketIterator  pit;   /* NOT a pointer */
  LND_Filter         *filter;
  
  libnd_init();

  /* Open a tracefile: */
  if (! (trace = libnd_trace_new(argv[1])))
    {
      printf("Could not open %s\n", argv[1]);
      exit(-1);
    }
        
  if (! (filter = libnd_filter_new("size filter",
				   NULL, /* no initialization needed */
				   filter_length,
				   NULL, /* no cleanup needed */
				   NULL, /* no state, so no state cleanup needed */
				   NULL))) /* no statekeeping needed */
    {
      /* Didn't work -- appropriate error handling. */
    }
  
  libnd_trace_add_filter(trace, filter);
  
  for (libnd_pit_init(&pit, trace); libnd_pit_get(&pit); libnd_pit_next(&pit))
    printf("Packet with header length %i passed the filter\n", libnd_pit_get(&pit)->ph.len);

  return 0;
}

        


